
import java.time.LocalDate;
import java.util.Arrays;
import java.util.List;
import java.util.function.*;

public class Roster8 {
    
    public static void main(String[] args) {
        List<Person> list = Arrays.asList(
                new Person("Pepa", LocalDate.of(1988, 10, 30), Person.Sex.MALE, "pepa@gmail.com"),
                new Person("Karel", LocalDate.of(1996, 8, 12), Person.Sex.MALE, "karel@gmail.com")
        );  
        
        list.stream()
            .filter(
                p ->
                    p.getAge() >= 18 &&
                    p.getAge() <= 25 &&
                    p.getGender() == Person.Sex.MALE)
            .map(p -> p.getEmailAddress()) // nebo .map(Person::getEmailAddress)
            .forEach(mail -> System.out.println(mail));
    }
}
