
import java.time.LocalDate;
import java.util.Arrays;
import java.util.List;

public class Roster1 {
    
    public static void printPersonsOlderThan(List<Person> roster, int age) {
        for (Person p : roster) {
            if (p.getAge() >= age) {
                p.printPerson();
            }
        }
    }
    
    public static void printPersonsWithAgeRange(List<Person> roster, int from, int to) {
        for (Person p : roster) {
            if (p.getAge() >= from && p.getAge() <= to) {
                p.printPerson();
            }
        }
    }
    
    public static void main(String[] args) {
        List<Person> list = Arrays.asList(
                new Person("Pepa", LocalDate.of(1988, 10, 30), Person.Sex.MALE, "pepa@gmail.com"),
                new Person("Karel", LocalDate.of(1996, 8, 12), Person.Sex.MALE, "karel@gmail.com")
        );  
        
        printPersonsOlderThan(list, 18);
        printPersonsWithAgeRange(list, 18, 25);
    }
}
